Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlim.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlim.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlim.F90	(revision 3901)
@@ -28,23 +28,23 @@
 
    !! * Shared module variables
-   REAL(wp), PUBLIC ::  concnno3  = 1.e-6_wp      !:  NO3, PO4 half saturation   
-   REAL(wp), PUBLIC ::  concdno3  = 2.e-6_wp      !:  Phosphate half saturation for diatoms  
-   REAL(wp), PUBLIC ::  concnnh4  = 1.e-7_wp      !:  NH4 half saturation for phyto  
-   REAL(wp), PUBLIC ::  concdnh4  = 2.e-7_wp      !:  NH4 half saturation for diatoms
-   REAL(wp), PUBLIC ::  concnfer  = 1.e-9_wp      !:  Iron half saturation for nanophyto 
-   REAL(wp), PUBLIC ::  concdfer  = 2.e-9_wp      !:  Iron half saturation for diatoms  
-   REAL(wp), PUBLIC ::  concbno3  = 2.5e-7_wp      !:  NO3 half saturation  for bacteria 
-   REAL(wp), PUBLIC ::  concbnh4  = 2.5e-8_wp      !:  NH4 half saturation for bacteria
-   REAL(wp), PUBLIC ::  xsizedia  = 5.e-7_wp      !:  Minimum size criteria for diatoms
-   REAL(wp), PUBLIC ::  xsizephy  = 1.e-6_wp      !:  Minimum size criteria for nanophyto
-   REAL(wp), PUBLIC ::  xsizern   = 3.0_wp        !:  Size ratio for nanophytoplankton
-   REAL(wp), PUBLIC ::  xsizerd   = 4.0_wp        !:  Size ratio for diatoms
-   REAL(wp), PUBLIC ::  xksi1     = 2.E-6_wp      !:  half saturation constant for Si uptake 
-   REAL(wp), PUBLIC ::  xksi2     = 3.33e-6_wp    !:  half saturation constant for Si/C 
-   REAL(wp), PUBLIC ::  xkdoc     = 417.e-6_wp    !:  2nd half-sat. of DOC remineralization  
-   REAL(wp), PUBLIC ::  concbfe   = 1.E-11_wp     !:  Fe half saturation for bacteria 
-   REAL(wp), PUBLIC ::  qnfelim   = 7.E-6_wp      !:  optimal Fe quota for nanophyto
-   REAL(wp), PUBLIC ::  qdfelim   = 7.E-6_wp      !:  optimal Fe quota for diatoms
-   REAL(wp), PUBLIC ::  caco3r    = 0.16_wp       !:  mean rainratio 
+   REAL(wp), PUBLIC ::  concnno3    !:  NO3, PO4 half saturation   
+   REAL(wp), PUBLIC ::  concdno3    !:  Phosphate half saturation for diatoms  
+   REAL(wp), PUBLIC ::  concnnh4    !:  NH4 half saturation for phyto  
+   REAL(wp), PUBLIC ::  concdnh4    !:  NH4 half saturation for diatoms
+   REAL(wp), PUBLIC ::  concnfer    !:  Iron half saturation for nanophyto 
+   REAL(wp), PUBLIC ::  concdfer    !:  Iron half saturation for diatoms  
+   REAL(wp), PUBLIC ::  concbno3    !:  NO3 half saturation  for bacteria 
+   REAL(wp), PUBLIC ::  concbnh4    !:  NH4 half saturation for bacteria
+   REAL(wp), PUBLIC ::  xsizedia    !:  Minimum size criteria for diatoms
+   REAL(wp), PUBLIC ::  xsizephy    !:  Minimum size criteria for nanophyto
+   REAL(wp), PUBLIC ::  xsizern     !:  Size ratio for nanophytoplankton
+   REAL(wp), PUBLIC ::  xsizerd     !:  Size ratio for diatoms
+   REAL(wp), PUBLIC ::  xksi1       !:  half saturation constant for Si uptake 
+   REAL(wp), PUBLIC ::  xksi2       !:  half saturation constant for Si/C 
+   REAL(wp), PUBLIC ::  xkdoc       !:  2nd half-sat. of DOC remineralization  
+   REAL(wp), PUBLIC ::  concbfe     !:  Fe half saturation for bacteria 
+   REAL(wp), PUBLIC ::  qnfelim     !:  optimal Fe quota for nanophyto
+   REAL(wp), PUBLIC ::  qdfelim     !:  optimal Fe quota for diatoms
+   REAL(wp), PUBLIC ::  caco3r      !:  mean rainratio 
 
    ! Coefficient for iron limitation
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlys.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlys.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlys.F90	(revision 3901)
@@ -32,6 +32,6 @@
 
    !! * Shared module variables
-   REAL(wp), PUBLIC :: kdca = 0.327e3_wp  !: diss. rate constant calcite
-   REAL(wp), PUBLIC :: nca  = 1.0_wp      !: order of reaction for calcite dissolution
+   REAL(wp), PUBLIC :: kdca !: diss. rate constant calcite
+   REAL(wp), PUBLIC :: nca  !: order of reaction for calcite dissolution
 
    !! * Module variables
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90	(revision 3901)
@@ -31,22 +31,22 @@
 
    !! * Shared module variables
-   REAL(wp), PUBLIC ::  part2       = 0.5_wp     !: part of calcite not dissolved in mesozoo guts
-   REAL(wp), PUBLIC ::  xprefc      = 1.0_wp     !: mesozoo preference for POC 
-   REAL(wp), PUBLIC ::  xprefp      = 0.3_wp     !: mesozoo preference for nanophyto
-   REAL(wp), PUBLIC ::  xprefz      = 1.0_wp     !: mesozoo preference for diatoms
-   REAL(wp), PUBLIC ::  xprefpoc    = 0.3_wp     !: mesozoo preference for POC 
-   REAL(wp), PUBLIC ::  xthresh2zoo = 1E-8_wp    !: zoo feeding threshold for mesozooplankton 
-   REAL(wp), PUBLIC ::  xthresh2dia = 1E-8_wp    !: diatoms feeding threshold for mesozooplankton 
-   REAL(wp), PUBLIC ::  xthresh2phy = 2E-7_wp    !: nanophyto feeding threshold for mesozooplankton 
-   REAL(wp), PUBLIC ::  xthresh2poc = 1E-8_wp    !: poc feeding threshold for mesozooplankton 
-   REAL(wp), PUBLIC ::  xthresh2    = 0._wp      !: feeding threshold for mesozooplankton 
-   REAL(wp), PUBLIC ::  resrat2     = 0.005_wp   !: exsudation rate of mesozooplankton
-   REAL(wp), PUBLIC ::  mzrat2      = 0.04_wp    !: microzooplankton mortality rate 
-   REAL(wp), PUBLIC ::  grazrat2    = 0.9_wp     !: maximal mesozoo grazing rate
-   REAL(wp), PUBLIC ::  xkgraz2     = 20E-6_wp   !: non assimilated fraction of P by mesozoo 
-   REAL(wp), PUBLIC ::  unass2      = 0.3_wp     !: Efficicency of mesozoo growth 
-   REAL(wp), PUBLIC ::  sigma2      = 0.6_wp     !: Fraction of mesozoo excretion as DOM 
-   REAL(wp), PUBLIC ::  epsher2     = 0.3_wp     !: half sturation constant for grazing 2
-   REAL(wp), PUBLIC ::  grazflux    = 3.E3_wp    !: mesozoo flux feeding rate
+   REAL(wp), PUBLIC ::  part2        !: part of calcite not dissolved in mesozoo guts
+   REAL(wp), PUBLIC ::  xprefc       !: mesozoo preference for POC 
+   REAL(wp), PUBLIC ::  xprefp       !: mesozoo preference for nanophyto
+   REAL(wp), PUBLIC ::  xprefz       !: mesozoo preference for diatoms
+   REAL(wp), PUBLIC ::  xprefpoc     !: mesozoo preference for POC 
+   REAL(wp), PUBLIC ::  xthresh2zoo  !: zoo feeding threshold for mesozooplankton 
+   REAL(wp), PUBLIC ::  xthresh2dia  !: diatoms feeding threshold for mesozooplankton 
+   REAL(wp), PUBLIC ::  xthresh2phy  !: nanophyto feeding threshold for mesozooplankton 
+   REAL(wp), PUBLIC ::  xthresh2poc  !: poc feeding threshold for mesozooplankton 
+   REAL(wp), PUBLIC ::  xthresh2     !: feeding threshold for mesozooplankton 
+   REAL(wp), PUBLIC ::  resrat2      !: exsudation rate of mesozooplankton
+   REAL(wp), PUBLIC ::  mzrat2       !: microzooplankton mortality rate 
+   REAL(wp), PUBLIC ::  grazrat2     !: maximal mesozoo grazing rate
+   REAL(wp), PUBLIC ::  xkgraz2      !: non assimilated fraction of P by mesozoo 
+   REAL(wp), PUBLIC ::  unass2       !: Efficicency of mesozoo growth 
+   REAL(wp), PUBLIC ::  sigma2       !: Fraction of mesozoo excretion as DOM 
+   REAL(wp), PUBLIC ::  epsher2      !: half sturation constant for grazing 2
+   REAL(wp), PUBLIC ::  grazflux     !: mesozoo flux feeding rate
 
    !!* Substitution
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmicro.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmicro.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmicro.F90	(revision 3901)
@@ -32,19 +32,19 @@
 
    !! * Shared module variables
-   REAL(wp), PUBLIC ::  part       = 0.5_wp     !: part of calcite not dissolved in microzoo guts
-   REAL(wp), PUBLIC ::  xpref2c    = 0.2_wp     !: microzoo preference for POC 
-   REAL(wp), PUBLIC ::  xpref2p    = 1.0_wp     !: microzoo preference for nanophyto
-   REAL(wp), PUBLIC ::  xpref2d    = 0.6_wp     !: microzoo preference for diatoms
-   REAL(wp), PUBLIC ::  xthreshdia = 1E-8_wp    !: diatoms feeding threshold for microzooplankton 
-   REAL(wp), PUBLIC ::  xthreshphy = 2E-7_wp    !: nanophyto threshold for microzooplankton 
-   REAL(wp), PUBLIC ::  xthreshpoc = 1E-8_wp    !: poc threshold for microzooplankton 
-   REAL(wp), PUBLIC ::  xthresh    = 0._wp      !: feeding threshold for microzooplankton 
-   REAL(wp), PUBLIC ::  resrat     = 0.03_wp    !: exsudation rate of microzooplankton
-   REAL(wp), PUBLIC ::  mzrat      = 0.0_wp     !: microzooplankton mortality rate 
-   REAL(wp), PUBLIC ::  grazrat    = 3.0_wp     !: maximal microzoo grazing rate
-   REAL(wp), PUBLIC ::  xkgraz     = 20E-6_wp   !: non assimilated fraction of P by microzoo 
-   REAL(wp), PUBLIC ::  unass      = 0.3_wp     !: Efficicency of microzoo growth 
-   REAL(wp), PUBLIC ::  sigma1     = 0.6_wp     !: Fraction of microzoo excretion as DOM 
-   REAL(wp), PUBLIC ::  epsher     = 0.3_wp     !: half sturation constant for grazing 1 
+   REAL(wp), PUBLIC ::  part        !: part of calcite not dissolved in microzoo guts
+   REAL(wp), PUBLIC ::  xpref2c     !: microzoo preference for POC 
+   REAL(wp), PUBLIC ::  xpref2p     !: microzoo preference for nanophyto
+   REAL(wp), PUBLIC ::  xpref2d     !: microzoo preference for diatoms
+   REAL(wp), PUBLIC ::  xthreshdia  !: diatoms feeding threshold for microzooplankton 
+   REAL(wp), PUBLIC ::  xthreshphy  !: nanophyto threshold for microzooplankton 
+   REAL(wp), PUBLIC ::  xthreshpoc  !: poc threshold for microzooplankton 
+   REAL(wp), PUBLIC ::  xthresh     !: feeding threshold for microzooplankton 
+   REAL(wp), PUBLIC ::  resrat      !: exsudation rate of microzooplankton
+   REAL(wp), PUBLIC ::  mzrat       !: microzooplankton mortality rate 
+   REAL(wp), PUBLIC ::  grazrat     !: maximal microzoo grazing rate
+   REAL(wp), PUBLIC ::  xkgraz      !: non assimilated fraction of P by microzoo 
+   REAL(wp), PUBLIC ::  unass       !: Efficicency of microzoo growth 
+   REAL(wp), PUBLIC ::  sigma1      !: Fraction of microzoo excretion as DOM 
+   REAL(wp), PUBLIC ::  epsher      !: half sturation constant for grazing 1 
 
 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90	(revision 3901)
@@ -27,9 +27,9 @@
 
    !! * Shared module variables
-   REAL(wp), PUBLIC :: wchl   = 0.001_wp  !:
-   REAL(wp), PUBLIC :: wchld  = 0.02_wp   !:
-   REAL(wp), PUBLIC :: wchldm = 0.05_wp   !:
-   REAL(wp), PUBLIC :: mprat  = 0.01_wp   !:
-   REAL(wp), PUBLIC :: mprat2 = 0.01_wp   !:
+   REAL(wp), PUBLIC :: wchl    !:
+   REAL(wp), PUBLIC :: wchld   !:
+   REAL(wp), PUBLIC :: wchldm  !:
+   REAL(wp), PUBLIC :: mprat   !:
+   REAL(wp), PUBLIC :: mprat2  !:
 
 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90	(revision 3901)
@@ -32,6 +32,6 @@
    !! * Shared module variables
 
-   LOGICAL  :: ln_varpar = .FALSE.    !: boolean for variable PAR fraction
-   REAL(wp) :: parlux    = 0.43_wp    !: Fraction of shortwave as PAR
+   LOGICAL  :: ln_varpar   !: boolean for variable PAR fraction
+   REAL(wp) :: parlux      !: Fraction of shortwave as PAR
    REAL(wp) :: xparsw                 !: parlux/3
 
@@ -330,10 +330,4 @@
       IF( nn_timing == 1 )  CALL timing_start('p4z_opt_init')
 
-      cn_dir  = './'            ! directory in which the model is executed
-      ! ... default values (NB: frequency positive => hours, negative => months)
-      !                  !   file       ! frequency !  variable   ! time intep !  clim   ! 'yearly' or ! weights  ! rotation   !
-      !                  !   name       !  (hours)  !   name      !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs      !
-      sn_par     = FLD_N( 'par_fraction',    24     ,  'fr_par'     ,  .true.    , .true.  ,   'yearly'  , ''       , ''         )
-
       REWIND( numnatp_ref )              ! Namelist nampisopt in reference namelist : Pisces attenuation coef. and PAR
       READ  ( numnatp_ref, nampisopt, IOSTAT = ios, ERR = 901)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zprod.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zprod.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zprod.F90	(revision 3901)
@@ -32,16 +32,16 @@
 
    !! * Shared module variables
-   LOGICAL , PUBLIC ::  ln_newprod = .FALSE.
-   REAL(wp), PUBLIC ::  pislope    = 3.0_wp            !:
-   REAL(wp), PUBLIC ::  pislope2   = 3.0_wp            !:
-   REAL(wp), PUBLIC ::  excret     = 10.e-5_wp         !:
-   REAL(wp), PUBLIC ::  excret2    = 0.05_wp           !:
-   REAL(wp), PUBLIC ::  bresp      = 0.00333_wp        !:
-   REAL(wp), PUBLIC ::  chlcnm     = 0.033_wp          !:
-   REAL(wp), PUBLIC ::  chlcdm     = 0.05_wp           !:
-   REAL(wp), PUBLIC ::  chlcmin    = 0.00333_wp        !:
-   REAL(wp), PUBLIC ::  fecnm      = 10.E-6_wp         !:
-   REAL(wp), PUBLIC ::  fecdm      = 15.E-6_wp         !:
-   REAL(wp), PUBLIC ::  grosip     = 0.151_wp          !:
+   LOGICAL , PUBLIC ::  ln_newprod      !:
+   REAL(wp), PUBLIC ::  pislope         !:
+   REAL(wp), PUBLIC ::  pislope2        !:
+   REAL(wp), PUBLIC ::  excret          !:
+   REAL(wp), PUBLIC ::  excret2         !:
+   REAL(wp), PUBLIC ::  bresp           !:
+   REAL(wp), PUBLIC ::  chlcnm          !:
+   REAL(wp), PUBLIC ::  chlcdm          !:
+   REAL(wp), PUBLIC ::  chlcmin         !:
+   REAL(wp), PUBLIC ::  fecnm           !:
+   REAL(wp), PUBLIC ::  fecdm           !:
+   REAL(wp), PUBLIC ::  grosip          !:
 
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   prmax    !: optimal production = f(temperature)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90	(revision 3901)
@@ -38,11 +38,11 @@
 
    !! * Shared module variables
-   REAL(wp), PUBLIC ::  xremik    = 0.3_wp     !: remineralisation rate of POC 
-   REAL(wp), PUBLIC ::  xremip    = 0.025_wp   !: remineralisation rate of DOC
-   REAL(wp), PUBLIC ::  nitrif    = 0.05_wp    !: NH4 nitrification rate 
-   REAL(wp), PUBLIC ::  xsirem    = 0.003_wp   !: remineralisation rate of POC 
-   REAL(wp), PUBLIC ::  xsiremlab = 0.025_wp   !: fast remineralisation rate of POC 
-   REAL(wp), PUBLIC ::  xsilab    = 0.31_wp    !: fraction of labile biogenic silica 
-   REAL(wp), PUBLIC ::  oxymin    = 1.e-6_wp   !: halk saturation constant for anoxia 
+   REAL(wp), PUBLIC ::  xremik     !: remineralisation rate of POC 
+   REAL(wp), PUBLIC ::  xremip     !: remineralisation rate of DOC
+   REAL(wp), PUBLIC ::  nitrif     !: NH4 nitrification rate 
+   REAL(wp), PUBLIC ::  xsirem     !: remineralisation rate of POC 
+   REAL(wp), PUBLIC ::  xsiremlab  !: fast remineralisation rate of POC 
+   REAL(wp), PUBLIC ::  xsilab     !: fraction of labile biogenic silica 
+   REAL(wp), PUBLIC ::  oxymin     !: halk saturation constant for anoxia 
 
 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90	(revision 3901)
@@ -26,19 +26,19 @@
 
    !! * Shared module variables
-   LOGICAL , PUBLIC  :: ln_dust     = .FALSE.    !: boolean for dust input from the atmosphere
-   LOGICAL , PUBLIC  :: ln_solub    = .FALSE.    !: boolean for variable solubility of atmospheric iron
-   LOGICAL , PUBLIC  :: ln_river    = .FALSE.    !: boolean for river input of nutrients
-   LOGICAL , PUBLIC  :: ln_ndepo    = .FALSE.    !: boolean for atmospheric deposition of N
-   LOGICAL , PUBLIC  :: ln_ironsed  = .FALSE.    !: boolean for Fe input from sediments
-   LOGICAL , PUBLIC  :: ln_hydrofe  = .FALSE.    !: boolean for Fe input from hydrothermal vents
-   LOGICAL , PUBLIC  :: ln_ironice  = .FALSE.    !: boolean for Fe input from sea ice
-   REAL(wp), PUBLIC  :: sedfeinput  = 1.E-9_wp   !: Coastal release of Iron
-   REAL(wp), PUBLIC  :: dustsolub   = 0.014_wp   !: Solubility of the dust
-   REAL(wp), PUBLIC  :: icefeinput  = 10E-9_wp   !: Iron concentration in sea ice
-   REAL(wp), PUBLIC  :: wdust       = 2.0_wp     !: Sinking speed of the dust 
-   REAL(wp), PUBLIC  :: nitrfix     = 1E-7_wp    !: Nitrogen fixation rate   
-   REAL(wp), PUBLIC  :: diazolight  = 50._wp     !: Nitrogen fixation sensitivty to light 
-   REAL(wp), PUBLIC  :: concfediaz  = 1.E-10_wp  !: Fe half-saturation Cste for diazotrophs 
-   REAL(wp)          :: hratio      = 9.E-5_wp   !: Fe:3He ratio assumed for vent iron supply
+   LOGICAL , PUBLIC  :: ln_dust     !: boolean for dust input from the atmosphere
+   LOGICAL , PUBLIC  :: ln_solub    !: boolean for variable solubility of atmospheric iron
+   LOGICAL , PUBLIC  :: ln_river    !: boolean for river input of nutrients
+   LOGICAL , PUBLIC  :: ln_ndepo    !: boolean for atmospheric deposition of N
+   LOGICAL , PUBLIC  :: ln_ironsed  !: boolean for Fe input from sediments
+   LOGICAL , PUBLIC  :: ln_hydrofe  !: boolean for Fe input from hydrothermal vents
+   LOGICAL , PUBLIC  :: ln_ironice  !: boolean for Fe input from sea ice
+   REAL(wp), PUBLIC  :: sedfeinput  !: Coastal release of Iron
+   REAL(wp), PUBLIC  :: dustsolub   !: Solubility of the dust
+   REAL(wp), PUBLIC  :: icefeinput  !: Iron concentration in sea ice
+   REAL(wp), PUBLIC  :: wdust       !: Sinking speed of the dust 
+   REAL(wp), PUBLIC  :: nitrfix     !: Nitrogen fixation rate   
+   REAL(wp), PUBLIC  :: diazolight  !: Nitrogen fixation sensitivty to light 
+   REAL(wp), PUBLIC  :: concfediaz  !: Fe half-saturation Cste for diazotrophs 
+   REAL(wp)          :: hratio      !: Fe:3He ratio assumed for vent iron supply
 
    LOGICAL , PUBLIC  :: ll_sbc
@@ -210,20 +210,4 @@
       !
       !                            !* set file information
-      cn_dir  = './'            ! directory in which the model is executed
-      ! ... default values (NB: frequency positive => hours, negative => months)
-      !                  !   file       ! frequency !  variable   ! time intep !  clim   ! 'yearly' or ! weights  ! rotation   !
-      !                  !   name       !  (hours)  !   name      !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs      !
-      sn_dust     = FLD_N( 'dust'       ,    -1     ,  'dust'     ,  .true.    , .true.  ,   'yearly'  , ''       , ''         )
-      sn_solub    = FLD_N( 'solubility' ,    -12    ,  'solub'    ,  .true.    , .true.  ,   'yearly'  , ''       , ''         )
-      sn_riverdic = FLD_N( 'river'      ,   -12     ,  'riverdic' ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_riverdoc = FLD_N( 'river'      ,   -12     ,  'riverdoc' ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_riverdin = FLD_N( 'river'      ,   -12     ,  'riverdin' ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_riverdon = FLD_N( 'river'      ,   -12     ,  'riverdon' ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_riverdip = FLD_N( 'river'      ,   -12     ,  'riverdip' ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_riverdop = FLD_N( 'river'      ,   -12     ,  'riverdop' ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_riverdsi = FLD_N( 'river'      ,   -12     ,  'riverdsi' ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_ndepo    = FLD_N( 'ndeposition',   -12     ,  'ndep'     ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_ironsed  = FLD_N( 'ironsed'    ,   -12     ,  'bathy'    ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_hydrofe  = FLD_N( 'hydrofe'    ,   -12     ,  'hydro'    ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
 
       REWIND( numnatp_ref )              ! Namelist nampissbc in reference namelist : Pisces external sources of nutrients
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsink.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsink.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsink.F90	(revision 3901)
@@ -44,11 +44,11 @@
 
 #if  defined key_kriest
-   REAL(wp) ::  xkr_sfact    = 250.     !: Sinking factor
-   REAL(wp) ::  xkr_stick    = 0.2      !: Stickiness
-   REAL(wp) ::  xkr_nnano    = 2.337    !: Nbr of cell in nano size class
-   REAL(wp) ::  xkr_ndiat    = 3.718    !: Nbr of cell in diatoms size class
-   REAL(wp) ::  xkr_nmicro   = 3.718    !: Nbr of cell in microzoo size class
-   REAL(wp) ::  xkr_nmeso    = 7.147    !: Nbr of cell in mesozoo  size class
-   REAL(wp) ::  xkr_naggr    = 9.877    !: Nbr of cell in aggregates  size class
+   REAL(wp) ::  xkr_sfact    !: Sinking factor
+   REAL(wp) ::  xkr_stick    !: Stickiness
+   REAL(wp) ::  xkr_nnano    !: Nbr of cell in nano size class
+   REAL(wp) ::  xkr_ndiat    !: Nbr of cell in diatoms size class
+   REAL(wp) ::  xkr_nmicro   !: Nbr of cell in microzoo size class
+   REAL(wp) ::  xkr_nmeso    !: Nbr of cell in mesozoo  size class
+   REAL(wp) ::  xkr_naggr    !: Nbr of cell in aggregates  size class
 
    REAL(wp) ::  xkr_frac 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsms.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsms.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsms.F90	(revision 3901)
@@ -145,4 +145,5 @@
       CALL p4z_chk_mass( kt ) ! Mass conservation checking
 
+      IF ( kt == nittrc000 ) CALL FLUSH    ( numonp )     ! flush output namelist PISCES
       IF( nn_timing == 1 )  CALL timing_stop('p4z_sms')
       !
@@ -193,10 +194,4 @@
       !                               ! nampiskrp : kriest parameters
       !                               ! -----------------------------
-      xkr_eta      = 0.62
-      xkr_zeta     = 1.62
-      xkr_ncontent = 5.7E-6
-      xkr_mass_min = 0.0002
-      xkr_mass_max = 1.
-
       REWIND( numnatp_ref )              ! Namelist nampiskrp in reference namelist : Pisces Kriest
       READ  ( numnatp_ref, nampiskrp, IOSTAT = ios, ERR = 903)
@@ -225,8 +220,4 @@
 #endif
 
-      ln_pisdmp = .true.
-      nn_pisdmp = 1
-      ln_pisclo = .false.
-
       REWIND( numnatp_ref )              ! Namelist nampisdmp in reference namelist : Pisces damping
       READ  ( numnatp_ref, nampisdmp, IOSTAT = ios, ERR = 905)
@@ -247,5 +238,4 @@
       ENDIF
 
-      ln_check_mass = .false.
       REWIND( numnatp_ref )              ! Namelist nampismass in reference namelist : Pisces mass conservation check
       READ  ( numnatp_ref, nampismass, IOSTAT = ios, ERR = 907)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90	(revision 3901)
@@ -78,16 +78,4 @@
          ! Namelist nampisdia
          ! -------------------
-         DO jl = 1, jp_pisces_2d
-            WRITE(pisdia2d(jl)%sname,'("2D_",I1)') jl                      ! short name
-            WRITE(pisdia2d(jl)%lname,'("2D DIAGNOSTIC NUMBER ",I2)') jl    ! long name
-            pisdia2d(jl)%units = ' '                                       ! units
-         END DO
-         !                                 ! 3D output arrays
-         DO jl = 1, jp_pisces_3d
-            WRITE(pisdia3d(jl)%sname,'("3D_",I1)') jl                      ! short name
-            WRITE(pisdia3d(jl)%lname,'("3D DIAGNOSTIC NUMBER ",I2)') jl    ! long name
-            pisdia3d(jl)%units = ' '                                       ! units
-         END DO
-
          REWIND( numnatp_ref )              ! Namelist nampisdia in reference namelist : Pisces diagnostics
          READ  ( numnatp_ref, nampisdia, IOSTAT = ios, ERR = 901)
@@ -139,13 +127,4 @@
          ! Namelist nampisdbi
          ! -------------------
-         DO jl = 1, jp_pisces_trd
-            IF(     jl <  10 ) THEN   ;   WRITE (pisdiabio(jl)%sname,'("BIO_",I1)') jl      ! short name
-            ELSEIF (jl < 100 ) THEN   ;   WRITE (pisdiabio(jl)%sname,'("BIO_",I2)') jl
-            ELSE                      ;   WRITE (pisdiabio(jl)%sname,'("BIO_",I3)') jl
-            ENDIF
-            WRITE(pisdiabio(jl)%lname,'("BIOLOGICAL TREND NUMBER ",I2)') jl                 ! long name
-            pisdiabio(jl)%units = 'mmoleN/m3/s '                                            ! units
-         END DO
-
          REWIND( numnatp_ref )              ! Namelist nampisdbi in reference namelist : Pisces add. diagnostics
          READ  ( numnatp_ref, nampisdbi, IOSTAT = ios, ERR = 903)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90	(revision 3901)
@@ -34,11 +34,11 @@
    LOGICAL , PUBLIC, PARAMETER ::   lk_trcdmp = .TRUE.   !: internal damping flag
 
-   !                                !!* Namelist namtrc_dmp : passive tracer newtonian damping *
-   INTEGER  ::   nn_hdmp_tr =   -1   ! = 0/-1/'latitude' for damping over passive tracer
-   INTEGER  ::   nn_zdmp_tr =    0   ! = 0/1/2 flag for damping in the mixed layer
-   REAL(wp) ::   rn_surf_tr =   50.  ! surface time scale for internal damping        [days]
-   REAL(wp) ::   rn_bot_tr  =  360.  ! bottom time scale for internal damping         [days]
-   REAL(wp) ::   rn_dep_tr  =  800.  ! depth of transition between rn_surf and rn_bot [meters]
-   INTEGER  ::   nn_file_tr =    2   ! = 1 create a damping.coeff NetCDF file 
+   !                          !!* Namelist namtrc_dmp : passive tracer newtonian damping *
+   INTEGER  ::   nn_hdmp_tr    ! = 0/-1/'latitude' for damping over passive tracer
+   INTEGER  ::   nn_zdmp_tr    ! = 0/1/2 flag for damping in the mixed layer
+   REAL(wp) ::   rn_surf_tr    ! surface time scale for internal damping        [days]
+   REAL(wp) ::   rn_bot_tr     ! bottom time scale for internal damping         [days]
+   REAL(wp) ::   rn_dep_tr     ! depth of transition between rn_surf and rn_bot [meters]
+   INTEGER  ::   nn_file_tr    ! = 1 create a damping.coeff NetCDF file 
 
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   restotr   ! restoring coeff. on tracers (s-1)
